<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Project Code of Conduct 101 - <%= @item[:title] %></title>
    <link rel="stylesheet" href="stylesheet.css" />

    <!-- you don't need to keep this, but it's cool for stats! -->
    <meta name="generator" content="Nanoc <%= Nanoc::VERSION %>" />
  </head>
  <body>
    <script>
      var nativeDarkModeSupported =
        matchMedia("(prefers-color-scheme: dark)").matches ||
        matchMedia("(prefers-color-scheme: light)").matches;
      if (!nativeDarkModeSupported) {
        var root = document.getElementById("nanoc");
        var originalRootClassName = root.className;

        function setDarkMode() {
          root.className = originalRootClassName + " dark";
          localStorage.setItem("mode", "dark");
        }

        function unsetDarkMode() {
          root.className = originalRootClassName;
          localStorage.removeItem("mode");
        }

        if (localStorage.getItem("mode") == "dark") {
          setDarkMode();
        } else {
          unsetDarkMode();
        }

        window.onload = function() {
          var toggle = document.getElementById("toggle-dark");
          if (toggle) {
            toggle.onclick = function() {
              if (localStorage.getItem("mode") == "dark") {
                unsetDarkMode();
              } else {
                setDarkMode();
              }
            };
          }
        };
      }
    </script>
    <div id="main">
      <% if @item[:author] %>
      <p>This page was written by <%= @item[:author] %>.</p>
      <% end %> <%= yield %>
    </div>
    <div id="sidebar">
      <h2>On the project</h2>
      <ul>
        <li><a href="/about">About project</a></li>
        <li>
          <a href="https://checklist.codeofconduct101.gq">Compliance Checklist Documentation</a>
        </li>
        <li><a href="http://nanoc.ws">Generated with Nanoc</a></li>
        <li><a href="https://pages.gitlab.io">Hosted on GitLab Pages</a></li>
      </ul>
      <h2>Community</h2>
      <ul>
        <li>
          <a href="https://reditects.codeofconduct101.gq/discuss"
            >Discussion group</a
          >
        </li>
        <li>
          <a href="https://about.codeofconduct101.gq/contributing/"
            >Contributing</a
          >
        </li>
        <li>
          <a href="https://madebythepins.tk"
          >Made with love by the Pins</a>
        </li>
      </ul>
    </div>
  </body>
</html>
